/**************************************************
UZI (Unix Z80 Implementation) Kernel:  extras.c
***************************************************/


bcopy()
{
#asm
; BCOPY(SRC,DEST,COUNT)
;
        POP     HL
        LD      (HOLDER),HL
        LD      (BCHLDR),BC
        POP     BC
        POP     DE
        POP     HL
        PUSH    HL
        PUSH    HL
        PUSH    HL
        LDIR
        LD      HL,(HOLDER)
        LD      BC,(BCHLDR)
        JP      (HL)
#endasm
}

#asm 
;
HOLDER: DEFW    0
BCHLDR: DEFW    0
;
;
#endasm


bzero(ptr,count)
char *ptr;
int count;
{
    *ptr = 0;
    bcopy(ptr,ptr+1,count-1);
}


abort()
{
#asm
        DI
        JP     $
#endasm
}

